> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Legal Hold Policies

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

To list all Legal Hold Policies that have been created in an enterprise, call
the <Link href="/reference/get-legal-hold-policies">`GET /legal_hold_policies`</Link> API endpoint.

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/legal_hold_policies" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.legalHoldPolicies.getLegalHoldPolicies();
  ```

  ```python Python v10 theme={null}
  client.legal_hold_policies.get_legal_hold_policies()
  ```

  ```cs .NET v10 theme={null}
  await client.LegalHoldPolicies.GetLegalHoldPoliciesAsync();
  ```

  ```swift Swift v10 theme={null}
  try await client.legalHoldPolicies.getLegalHoldPolicies()
  ```

  ```java Java v10 theme={null}
  client.getLegalHoldPolicies().getLegalHoldPolicies()
  ```

  ```java Java v5 theme={null}
  Iterable<BoxLegalHoldPolicy.Info> policies = BoxLegalHoldPolicy.getAll(api);
  for (BoxLegalHoldPolicy.Info policyInfo : policies) {
      // Do something with the legal hold policy.
  }
  ```

  ```python Python v4 theme={null}
  policies = client.get_legal_hold_policies()
  for policy in policies:
      print(f'Legal Hold Policy "{policy.name}" has ID {policy.id}')
  ```

  ```cs .NET v6 theme={null}
  BoxCollectionMarkerBased<BoxLegalHoldPolicy> policies = await client.LegalHoldPoliciesManager
      .GetListLegalHoldPoliciesAsync();
  ```

  ```javascript Node v4 theme={null}
  client.legalHoldPolicies.getAll({policy_name: 'Important'})
  	.then(policies => {
  		/* policies -> {
  			entries: 
  			[ { type: 'legal_hold_policy',
  				id: '11111',
  				policy_name: 'Important Policy 1' },
  				{ type: 'legal_hold_policy',
  				id: '22222',
  				policy_name: 'Important Policy 2' } ],
  			limit: 100,
  			order: [ { by: 'policy_name', direction: 'ASC' } ] }
  		*/
  	});
  ```
</CodeGroup>

## Required Scopes

Before using any of the Legal Hold APIs, an application must have the right
scopes enabled. See <Link href="/guides/legal-holds#required-scopes">Required Scopes</Link> for more details.

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("List all legal hold policies"), href: "/reference/get-legal-hold-policies", badge: "GET" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Get Legal Hold Policy"), href: "/guides/legal-holds/get", badge: "GUIDE" }
]}
/>
